Start history sync
POST
Initiate message history sync from the WhatsApp Business App. This sends a request to the account owner to approve sharing their conversation history. Only available for coexistence accounts with active status.
Authorization
AuthorizationheaderrequiredBearer YOUR_API_KEY. Create a key in the dashboard.
Path parameters
senderIdstringrequired
Responses
202History sync initiated.
messagestringrequiredSuccess message.
syncobjectrequiredWhatsApp coexistence sync status.
4 properties
isCoexistencebooleanrequiredWhether the account is in coexistence mode.
statusstringrequiredWhatsApp account status.
One ofpending_verificationpending_registrationactivedisconnectederrorhistoryobjectrequiredHistory sync status details.
4 properties
statusstringrequiredStatus of WhatsApp message history sync.
One ofnot_requestedpendingsyncingcompletedrejectedcanSyncbooleanrequiredWhether history sync can be initiated.
requestedAtstring<date-time>When the sync was last requested.
completedAtstring<date-time>When the sync was completed.
contactsobjectrequiredContacts sync status details.
3 properties
statusstringrequiredStatus of WhatsApp contacts sync.
One ofnot_requestedpendingsyncingcompletedcanSyncbooleanrequiredWhether contacts sync can be initiated.
requestedAtstring<date-time>When the sync was last requested.
400Invalid request.
codestringrequiredmessagestringrequireddetailsobject
401Unauthorized.
codestringrequiredmessagestringrequireddetailsobject
404Sender not found.
codestringrequiredmessagestringrequireddetailsobject